IBatisParamsWrapper

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.util.server
Class IBatisParamsWrapper

    java.lang.Object
      org.openswing.swing.util.server.IBatisParamsWrapper

public class IBatisParamsWrapper
extends java.lang.Object

Title: OpenSwing Framework

Description: Wrapper for filtering and sorting conditions used by iBatis in a SQL select.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`IBatisParamsWrapper()` Constructor callable from a DAO class that uses iBatis layer, when no filtering or sorting conditions are applied.
`IBatisParamsWrapper(java.util.Map filteredColumns, java.util.ArrayList currentSortedColumns, java.util.ArrayList currentSortedVersusColumns)` Construtor callable from a DAO class that uses iBatis layer.

Method Summary
`java.util.List` | `getFilteredColumns()`
`java.util.ArrayList` | `getSortedColumns()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IBatisParamsWrapper

    public IBatisParamsWrapper()

  Constructor callable from a DAO class that uses iBatis layer, when no filtering or sorting conditions are applied.

### IBatisParamsWrapper

    public IBatisParamsWrapper(java.util.Map filteredColumns,
                               java.util.ArrayList currentSortedColumns,
                               java.util.ArrayList currentSortedVersusColumns)

  Construtor callable from a DAO class that uses iBatis layer.

Parameters:
  `filteredColumns` - Map collection of filtering conditions generated by an OpenSwing grid control
  `currentSortedColumns` - list of attribute names related to fields to sort, generated by an OpenSwing grid control
  `currentSortedVersusColumns` - ArrayList list of sorting versus (ASC/DESC) related to fields to sort, generated by an OpenSwing grid control

Method Detail

### getSortedColumns

    public final java.util.ArrayList getSortedColumns()

  Returns:
    collection of IBatisSortCondition elements

### getFilteredColumns

    public final java.util.List getFilteredColumns()

  Returns:
    filteredColumns; list of FilterWhereClause objects

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD